Prerequisites

CHECK THE FOLLOWING INFORMATION BEFORE YOU INSTALL THE SDK.

Git

  • Git requires to be manually installed.
  • Creating an Enyo project with CLI or IDE will not work if Git is not installed on your computer.
  • For windows, you should select the 'Use Git from the Windows Command Prompt' option during the installation as below:
    Git_Installation.png

JDK

  • If JDK 1.7.0_45 or later is not installed on your computer, the installer will inform you that it requires Java to run. If you click OK, the installer will open Java download page in a browser window. Install the Java and restart the installer.
  • The installer will not work if OpenJDK is installed on your computer.

VirtualBox

  • If Oracle VirtualBox is not installed on your computer, the installer will prompt you to install it before starting the SDK installation. If you click Yes, the installer automatically installs VirtualBox 4.2.16. Once VirtualBox is installed, proceed with the SDK installation. If you click No, the installer proceeds to install the SDK components, except for the emulator.
  • If VirtualBox is not installed on your computer and you select the component ‘Emulator v1.2.0’ in installer, without selecting ‘Emulator v2.0.0’, the installer does not ask for installing VirtualBox and an error occurs. In this case, you need to install VirtualBox first.

On Windows

  • The installer must run with "Run as administrator.
  • On Windows 64, you must install the JDK before installing the SDK because the SDK installer installs 32-bit Java by default if Java is not installed on your computer. We recommend you to use java -version command in command prompt before SDK installation to check whether the 64-bit Java is installed.
Navigation